# -*- coding: utf-8 -*-
from setuphelpers import *



def install():
    # Initializing variables
    package_version = control.version.split("-", 1)[0]
    bin_name = "K-Lite_Codec_Pack_%s_Mega.exe" % package_version

    # Installing the package
    print("Installing: %s" % bin_name)
    install_exe_if_needed(bin_name, silentflags="/VERYSILENT", key="KLiteCodecPack_is1", min_version=package_version)

def get_version_from_binary(filename):
    if filename.endswith(".msi"):
        return get_msi_properties(filename)["ProductVersion"]
    else:
        return get_file_properties(filename)["ProductVersion"]